<?php
/**
 * Template Name: Wishlist
 */

inoby_enqueue_parted_style("wishlist", "page_templates");
inoby_enqueue_parted_script("wishlist", "page_templates");

get_header();
?>

<?php 
if (ESHOP_ENABLED && Inoby_Config::wishlist()) { ?>
<section class="wishlist">
  <div class="container">
    <div class="row">
      <div class="col-12">
        <h1><?= __('Wishlist','inoby') ?></h1>
        <?php
          // Získa aktuálneho používateľa
          $current_user = wp_get_current_user();
          // Získa zoznam obľúbených produktov pre aktuálneho používateľa
          $wishlist = get_user_meta($current_user->ID, 'wishlist', true);
          if ($wishlist) {
            echo '<div class="wishlist-wrap">';
            foreach ($wishlist as $product_id) {
              // Získa informácie o produkte
              $product = wc_get_product($product_id);
              if ($product) {
                // Zobrazí wishlist kartu
                echo '<div class="wishlist-card">';
                woocommerce_template_loop_product_thumbnail();
                echo '<a href="' . esc_url($product->get_permalink()) . '">' . $product->get_title() . '</a>';
                echo '<p class="price">' . $product->get_price_html() . '</p>';
                // Tlačidlo pre odstránenie produktu z Wishlist
                echo '<a href="#0" data-product-id="' . $product->get_id() . '" class="remove-from-wishlist">✕</a>';
                echo '</div>';
              }
            }
            echo '</div>';
          } 
          else {
              echo '<p style="text-align: center;">Váš zoznam obľúbených produktov je prázdny.</p>';
          }
          ?>
      </div>
    </div>
  </div>
</section>
<?php }
else{
  echo "<div class='container'><p class='alert'>".__("Wishlist nie je povolený. Požiadajte programátora o konfiguráciu.", 'inoby')."</p></div>";
} 
?>

<?php get_footer();